# $Revision: 1.18 $, $Date: 2009/10/16 23:19:25 $
Summary:	Adobe Utopia Type1 font
Summary(pl.UTF-8):	Font Type1 Adobe Utopia
Name:		xorg-font-font-adobe-utopia-type1
Version:	1.0.2
Release:	1
License:	distributable (see COPYING)
Group:		Fonts
Source0:	http://xorg.freedesktop.org/releases/individual/font/font-adobe-utopia-type1-%{version}.tar.bz2
# Source0-md5:	ad945b19b2db64dec3a19507848ff63b
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	fontconfig
BuildRequires:	t1utils
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.1
BuildRequires:	xorg-util-util-macros >= 1.3
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/Type1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Adobe Utopia Type1 font.

%description -l pl.UTF-8
Font Type1 Adobe Utopia.

%prep
%setup -q -n font-adobe-utopia-type1-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--build=%{_host} \
	--host=%{_host} \
	--with-fontdir=%{_fontsdir}/Type1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# separate *.afm, convert *.pfa to .pfb
cd $RPM_BUILD_ROOT%{_fontsdir}/Type1
install -d afm
mv -f *.afm afm
for f in *.pfa ; do
	t1binary $f `basename $f .pfa`.pfb
	rm -f $f
done
sed -e '1d;s/\.pfa /.pfb /' fonts.scale > fonts.scale.adobe-utopia
rm -f fonts.scale fonts.dir fonts.cache-1
cat > Fontmap.adobe-utopia <<EOF
/Utopia-BoldItalic                       (UTBI____.pfb) ;
/Utopia-Bold                             (UTB_____.pfb) ;
/Utopia-Italic                           (UTI_____.pfb) ;
/Utopia-Regular                          (UTRG____.pfb) ;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_fontsdir}/Type1/UT*.pfb
%{_fontsdir}/Type1/afm/UT*.afm
%{_fontsdir}/Type1/fonts.scale.adobe-utopia
%{_fontsdir}/Type1/Fontmap.adobe-utopia

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-font-font-adobe-utopia-type1.spec,v $
Revision 1.18  2009/10/16 23:19:25  qboosh
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util

Revision 1.17  2009/10/12 18:49:38  arekm
- up to 1.0.2

Revision 1.16  2007/10/21 14:18:49  megabajt
- BA: noarch
- release 2

Revision 1.15  2007/04/30 10:13:04  qboosh
- more verbose files

Revision 1.14  2007/04/30 10:02:14  qboosh
- nicer font name

Revision 1.13  2007/04/01 18:20:33  qboosh
- create .Fontmap file
- release 1

Revision 1.12  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.10  2006/01/03 14:02:21  qboosh
- more appropriate License

Revision 1.9  2006/01/03 13:55:13  qboosh
- pkgconfig not used here

Revision 1.8  2006/01/03 13:51:48  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.7  2005/12/05 12:35:33  qboosh
- restoted rev 1.5 changelog entry

Revision 1.6  2005/12/05 12:33:18  qboosh
- generate fonts.scale fragments properly

Revision 1.5  2005/12/05 11:14:46  qboosh
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

Revision 1.4  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.3  2005/08/27 18:42:17  qboosh
- cleanups, better Group; TODO: use PLD fonts infrastructure

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Tue Aug  9 2005 11:18:11  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
